body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5f5;
}
/*Nav Bar*/
nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: transparent;
    font-size: 28px;
    z-index: 100;
}
nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}
nav ul li {
    padding: 20px 20px 0px 20px;
}
nav ul li a {
    text-decoration: none;
    color: rgb(245, 245, 245);
    display: block;
}

.logo {
    width: 85px;
    height: 85px;
    position: relative;
    margin-top: -15%;
}  
.logo img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transition: opacity 0.3s ease;
    position: absolute;
    top: 0;
    left: 0;
}
.logo:active{
    width: 84px;
    height: 84px;
}
.logo:hover img:first-child {
    opacity: 0;
}
.logo:hover img:last-child {
    opacity: 1;
}
.logo img:last-child {
    opacity: 0;
    z-index: 1;
}
.lef {
    margin-left: auto;
}
.menu-icon {
    margin-top: 30%;
    width: 35px;
    height: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
}
.menu-icon div {
    height: 7px;
    background-color: rgb(255, 255, 255);
    border-radius: 3px;
    transition: all 0.3s ease;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.144), 0 0 25px #02162089, 0 0 5px rgba(5, 5, 32, 0.585);
}
.menu-icon:hover div {
    background-color:  #007bff;
}
.menu-icon.active div:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}
.menu-icon.active div:nth-child(2) {
    opacity: 0;
}
.menu-icon.active div:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
}
.dropdown {
    position: relative;
}
.dropdown-content {
    display: none;
    position: absolute;
    right: 0;
    /*background-color: #001d2b99;*/
    background-color: #001d2bd0;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    padding: 10px;
    min-width: 350px;
    /*min-width: 150px;*/
    z-index: 1;
    border-radius: 20px 0px 0px 20px;
    margin-top: 30%;
}
.dropdown.active .dropdown-content {
    display: block;
}
.dropdown-content a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    display: block;
    padding: 8px;
    border-radius: 3px;
    display: flex;
    justify-content: space-between;
}
.dropdown-content p {
    color: rgb(255, 255, 255);
    padding: 8px;
    margin-top: -0.5%;
    margin-bottom: -0.5%;
}
.dropdown-content a:hover {
    background-color: #f1f1f119;
    color: #007bff;
    font-weight: bolder;
    border-radius: 10px 0px 0px 10px;
}
.sub-dropdown {
    display: none;
    padding-left: 40px;
}
.sub-dropdown.active {
    display: block;
}
.arrow-head {
    display: inline-block;
    margin-left: 8px;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid rgb(255, 255, 255); 
    transition: transform 0.3s ease;
}
a:hover .arrow-head{
    border-top: 6px solid #007bff;
}
/*--------------------------------------------------------------------------------------------------------------*/
/*Index*/
.welcome {
    display: block;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80vh;
}
.welcome .w {
    margin-top: 5%;
    color: rgb(240, 248, 255);
    text-shadow: 1px 1px 2px rgb(245, 245, 245), 0 0 25px #02162089, 0 0 5px rgba(5, 5, 32, 0.585);
}
/*---------------------------------------------------------------------------------------------------------------*/
/*Baner*/
.baner {
    position: top;
    width: 100%;
    height: 20vh;
    background-image: url(baner.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    color: rgb(255, 255, 255);
    border-bottom: groove rgb(255, 255, 255) 4px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.baner h1 {
    text-shadow: 1px 1px 2px rgb(245, 245, 245), 0 0 25px #02162089, 0 0 5px rgba(5, 5, 32, 0.585);
    font-weight: bold;
    color: rgb(245, 245, 245);
    font-size: 35px;
}
/*-------------------------------------------------------------------------------------------------------------------*/
/*Footer*/ 
footer{
    background-color: #181919;
    bottom: 0;
}
footer hr{
    width: 70%;
    border-color: #000000;
}
footer h3{
    font-size: 25px;
    font-weight: bold;
    color: white;
    margin-bottom: 10px;
}
.footer {
    padding: 25px;
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
}
.footer-column {
    display: flex;
    flex-direction: column;
}
.footer-column a{
    margin: 0 10px;
    color: #ffffff;
    font-size: 25px;
    text-decoration: none;
}
.footer-column p {
            margin-top: -1px;
            color: #ffffff;
}
.footer-social {
    text-align: center;
    color: #ffffff;
}
.footer-social a {
    margin: 0 10px;
    color: #ffffff;
    font-size: 35px;
    text-decoration: none;
}
.footer-social a:hover {
    color: #007bff;
}
.footer-bottom {
    text-align: center;
    padding: 10px;
    color: #ffffff;
}
/*---------------------------------------------------------------*/
/*color: #007bff;*/
a:hover {
    cursor: pointer;
    color: #007bff;
}

/*Agonistiko Programa*/
.eot-cal{
    display: block;
    margin: auto;
    margin-top: 3%;
    margin-bottom: 3%;
    border-radius: 15px;
    width: 80%;
    height: 100vh;
    border: none;
}
/*----------------------------------------*/
/*Blog*/
.bloges{
    width: 85%;
    margin: auto;
}
.blog{
    display: flex;
    flex-direction: column;
    align-items:flex-end ;
    color: rgb(255, 255, 255);
    width: 100%;
    height: auto;
    background-color: #03209fd0;
    border: 4px solid #d1cccc;
    border-radius: 25px;
    margin-top: 1%;
    margin-bottom: 1%;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.697);
}
.blog p{
    text-align: right;
    padding-right: 1%;
    font-size: 20px;
}
.blog-conten{
    display: flex;
}
.blog-conten p{
    text-align: left; 
}
.blog-conten img{
    width: 90%;
    margin-left: 3%;
    border: 2px solid #d1cccc;
    border-radius: 10px;
}
.blog .blog-button {
    margin-right: 1%;
    margin-bottom: 1%;
}
button {
    padding: 15px 25px;
    border: unset;
    border-radius: 15px;
    color: #212121;
    z-index: 1;
    background: #e8e8e8;
    font-weight: 1000;
    font-size: 17px;
    -webkit-box-shadow: 4px 8px 19px -3px rgba(0,0,0,0.27);
    box-shadow: 4px 8px 19px -3px rgba(0,0,0,0.27);
    transition: all 250ms;
    overflow: hidden;
} 
.blog button:hover {
    color: #007bff;
    cursor: pointer;
    box-shadow: 0 0 15px #ffffff83;
}

.blog a{
    text-decoration: none;
    color: rgb(0, 0, 0);
        
}
.image-container img {
    transition: 0.5s ease;
}
.image-container:hover img {
    box-shadow: 0 0 20px #ffffff83;
    
}

.image-container:hover::after {
    opacity: 1;
}

.blog .read-more h2{
    margin: -0.5% 0% 1% 0%;
    text-align: center;
}
.blog .read-more p{
    text-align: left;
    padding: 0% 5%;
}
.blog .read-more .button-center {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2% auto;
    width: fit-content;
}
.blog .read-more .back-arrow{
    font-size: 30px;
    color: #e8e8e8;
    cursor: pointer;
    transition: 0.2s ease;
    padding: 15px;
}
.back-arrow:hover {
    color: #007bff;
    text-shadow: 0 0 20px #ffffff83;
}
.blog .read-more img{
    width: 80%;
    display: block;
    margin: auto;
    border: 2px solid #d1cccc;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.697);
}
/*--------------------------------------------------------------------*/
/*Oria katigorion*/
.table-oria{
    width: 80%;
    margin: 20px auto;
    border-collapse: collapse;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    background: white;
}
.table-oria .recurve{
    background-color: #007bff;
}
.table-oria .compound{
    background-color: #ff002b;
}
.table-oria .barebow{
    background-color: #3cbd00;
}
.table-oria th, td{
    padding: 12px;
    text-align: center;
    border: 1px solid #ddd;
}
.table-oria th{
    color: white;
}
.table-oria tr:nth-child(even){ 
    background-color: #f2f2f2; 
}
.table-oria tr:hover{ 
    background-color: #d1e7fd; 
    transition: 0.3s; 
}
/*-----------------------------------------------------------*/
/*Photo alboum*/
.album{
    display: flex;
    justify-content: center;
    align-items: center;
}
.album-titel{
    background-color: #03209fd0;
    width: 85%;
    margin: auto;
    text-align: center;
    border-radius: 10px;
    border: 2px solid #ffffff;
    color: #ffffff;
}
.album-titel h2{
    padding: 0% 5%;
}
.gallery {
    column-count: 4;
    column-gap: 10px;
    width: 80%;
    padding: 20px;
}
.gallery img {
    width: 100%;
    break-inside: avoid;
    border-radius: 8px;
    cursor: pointer;
    transition: transform 0.5s ease;
}
.gallery img:hover{
    transform: scale(1.2);
    z-index: 10;
    box-shadow: 0 0 10px #ffffff83;
}
.lightbox{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 101;
}
.lightbox img{
    border: 2px solid #ffffff;
    max-width: 90%;
    max-height: 80%;
    border-radius: 10px;
}
.lightbox-controls{
    display: flex;
    justify-content: space-between;
    width: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}
.lightbox-controls button{
    background: none;
    border: none;
    color: white;
    font-size: 2rem;
    cursor: pointer;
    padding: 10px;
}
.lightbox-controls button:active{
    font-size: 1.5rem;
}
/*-----------------------------------------------------------*/
/*Why Archery*/
.about-archery{
    width: 85%;
    height: auto;
    margin: auto;
    padding: 20px 0px 20px 0px;
}
.archery-conten{
    padding: 35px;
    font-size: 20px;
    color: rgb(255, 255, 255);
    background-color: #03209fd0;
    border: 4px solid #d1cccc;
    border-radius: 25px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.697);
}
.archery-conten img{
    width: 80%;
    display: block;
    margin: auto;
    border: 2px solid #d1cccc;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.697);
}
/*-----------------------------------------------------------------*/
/*Επιτυχίες Αθλητών*/
.container {
    width: 100%;
    max-width: 1200px;
    margin: auto;
    padding: 0 20px;
    margin-bottom: 5%;
}
.section-title {
    text-align: center;
    margin-bottom: 50px;
}
.section-title h1 {
    font-size: 48px;
    color: #000000;
    margin-bottom: 15px;
}
.section-title p {
    font-size: 20px;
    color: #666;
    max-width: 700px;
    margin: 0 auto;
}
.athletes-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
    gap: 30px;
}
.athlete-card {
    background-color: white;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}
.athlete-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}
.athlete-image {
    height: 250px;
    overflow: hidden;
}
.athlete-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.athlete-content {
    padding: 20px;
}
.athlete-name {
    font-size: 22px;
    color: #000000;
    margin-bottom: 10px;
    margin-top: -1%;
}
.athlete-details {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}
.athlete-bio {
    color: #666;
    margin-bottom: 15px;
    font-size: 14px;
}
.athlete-button {
    width: 100%;
    padding: 10px;
    background-color: rgb(4, 73, 212);
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.athlete-button:hover {
    background-color: rgb(2, 54, 156);;
}
/*-----------------------------------------------------------------*/
.center{
    text-align: center;
    margin: auto;
}
.con{
    text-decoration: none;
    color: #007bff;
}
.con:hover{
    color: #ffffff;
    text-shadow: 0 0 20px #ffffff83;
}
.mobile{ 
    display: none; 
}
@media (max-width: 768px) {
    .desktop{ 
        display: none; 
    }
    .mobile{ 
        display: block; 
    }
    .logo {
        width: 75px;
        height: 75px;
    }
    .logo:active{
        width: 74px;
        height: 74px;
    }
    .dropdown-content{
        margin-right: -50%;
    }
    .blog-conten{
        display: block;
    }
    .blog-conten p{
        text-align: left;
        padding: 0% 5%;
    }
    .gallery{
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }
    .gallery-if-need{
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    }
    .welcome .w {
        margin-top: 20%;
    }

    .about-archery{
        width: 95%;
    }
    .archery-conten img{
        width: 100%;
    }
    .bloges{
        width: 95%;
        margin-top: 5%;
        margin-bottom: 5%;
        
        margin-right: 1%;
    }
    .blog{
        width: 95%;
        margin-top: 5%;
        margin-bottom: 5%;
    }
    .blog-conten img{
        width: 95%;
        margin-left: 2%;
        margin-right: 2%;
    }
    .table-oria{
        width: 90%;
    }
    .eot-cal{
        width: 95%;
        height: 90vh;
        margin-top: 5%;
        margin-bottom: 5%;
    }
    .gallery{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(190px, 1fr));
        gap: 10px;
        width: 80%;
        padding: 20px;
    }
    .gallery img{
        width: 100%;
        height: auto;
        border-radius: 8px;
        cursor: pointer;
        transition: transform 0.5s ease;
    }
    .blog .read-more .back-arrow{
        padding: 8px;
    }
    .baner {
        height: 15vh;
    }
    .container {
        width: 85%;
    }
}

@media (max-width: 500px) {
    .archery-conten img{
        width: 120%;
        margin-left: -10.5%;
    }
    .blog .read-more img{
        width: 95%;
       
    }
}